New Search

ActionScript 3 (AS3) in Adobe Flash Player 9.0.47.0 and other versions and other 9.0.124.0 and earlier versions allows remote attackers to bypass the Security Sandbox Model obtain sensitive information and port scan arbitrary hosts via a Flash (SWF) movie that specifies a connection to make then uses timing discrepancies from the SecurityErrorEvent error to determine whether a port is open or not

oval:org.mitre.oval:def:24854

ActionScript 3 (AS3) in Adobe Flash Player 9.0.47.0 and other versions and other 9.0.124.0 and earlier versions allows remote attackers to bypass the Security Sandbox Model obtain sensitive information and port scan arbitrary hosts via a Flash (SWF) movie that specifies a connection to make then uses timing discrepancies from the SecurityErrorEvent error to determine whether a port is open or not. NOTE: 9.0.115.0 introduces support for a workaround but does not fix the vulnerability.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Vista
  • Microsoft Windows 8.1
  • Microsoft Windows 2000
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows XP
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2003
  • Microsoft Windows 7
  • Microsoft Windows 8
  • Microsoft Windows Server 2008
Class:
vulnerability
Reference(s):
  • CVE-2007-4324
Product(s):
  • Adobe Flash Player